#if !defined(AFX_SCRAMBLECTL_H__3206DCB6_6CA1_11D1_AB9F_50C153C10000__INCLUDED_)
#define AFX_SCRAMBLECTL_H__3206DCB6_6CA1_11D1_AB9F_50C153C10000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

// ScrambleCtl.h : Declaration of the CScrambleCtrl ActiveX Control class.

/////////////////////////////////////////////////////////////////////////////
// CScrambleCtrl : See ScrambleCtl.cpp for implementation.

class CScrambleCtrl : public COleControl
{
	DECLARE_DYNCREATE(CScrambleCtrl)

// Constructor
public:
	CScrambleCtrl();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CScrambleCtrl)
	public:
	virtual void OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);
	virtual void DoPropExchange(CPropExchange* pPX);
	virtual void OnResetState();
	//}}AFX_VIRTUAL

// Implementation
protected:
	afx_msg void OnButtonClicked();
	CString m_answerStr;
	CString m_scrambleStr;
	CButton m_button;
	CEdit m_edit;
	~CScrambleCtrl();

	DECLARE_OLECREATE_EX(CScrambleCtrl)    // Class factory and guid
	DECLARE_OLETYPELIB(CScrambleCtrl)      // GetTypeInfo
	DECLARE_PROPPAGEIDS(CScrambleCtrl)     // Property page IDs
	DECLARE_OLECTLTYPE(CScrambleCtrl)		// Type name and misc status

// Message maps
	//{{AFX_MSG(CScrambleCtrl)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

// Dispatch maps
	//{{AFX_DISPATCH(CScrambleCtrl)
	afx_msg BSTR GetScrambleString();
	afx_msg void SetScrambleString(LPCTSTR lpszNewValue);
	afx_msg BSTR GetAnswerString();
	afx_msg void SetAnswerString(LPCTSTR lpszNewValue);
	//}}AFX_DISPATCH
	DECLARE_DISPATCH_MAP()

	afx_msg void AboutBox();

// Event maps
	//{{AFX_EVENT(CScrambleCtrl)
	//}}AFX_EVENT
	DECLARE_EVENT_MAP()

// Dispatch and event IDs
public:
	enum {
	//{{AFX_DISP_ID(CScrambleCtrl)
	dispidScrambleString = 1L,
	dispidAnswerString = 2L,
	//}}AFX_DISP_ID
	};
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SCRAMBLECTL_H__3206DCB6_6CA1_11D1_AB9F_50C153C10000__INCLUDED)
